/*=======================================
            Case Study Filters
========================================*/

#cs-filters {

    #filters {
        background-color: var(--red);
        border-radius: 0 0 30px 30px;
        padding: 50px 30px 30px;
        justify-content: space-between;
        align-items: center;
        margin-top: -24px;
        width: 100%;

        @media (max-width: 450px) {
            padding: 50px 15px 15px;
        }

        .filter-wrap {
            width: calc(100% - 100px);
            justify-content: flex-start;
            align-items: center;
            margin: 0 -12px;

            @media (max-width: 1200px) {
                width: calc(100% + 24px);
            }

            @media (max-width: 800px) {
                width: 100%;
                margin: 0;
            }

            .filter {
                width: calc(100% / 3 - 24px);
                margin: 0 12px;

                @media (max-width: 1000px) {
                    width: calc(50% - 24px);
                    margin-bottom: 12px;
                }

                @media (max-width: 800px) {
                    width: calc(100%);
                    margin: 0 0 12px;
                }

                label {
                    display: block;
                    color: #fff;
                    font-size: 18px;
                    font-weight: 600;
                    line-height: 1;
                    margin-bottom: 7px;
                    padding-left: 2px;

                    @media (max-width: 450px) {
                        font-size: 16px;
                        ;
                    }

                }

                .nice-select {
                    width: 100%;
                }

            }

            /* .searchbar {
                position: relative;
                display: flex;
                flex-direction: row;
                justify-content: flex-start;
                align-items: unset;
                flex-wrap: nowrap;

                input[type="text"] {
                    width: 100%;
                    border: none;
                    border-radius: 15px;
                    padding: 15px 25px;
                    font-size: 18px;
                    line-height: 1;
                    margin: 0;
                    color: var(--darkblue);

                    @media (max-width: 450px) {
                        font-size: 16px;
                    }

                }

                .search-button {
                    width: 70px;
                    height: 100%;
                    background-color: var(--darkblue);
                    border-radius: 0 15px 15px 0;
                    position: absolute;
                    right: 0;
                    justify-content: center;
                    align-items: center;
                    cursor: pointer;

                    svg {
                        width: 21px;
                        height: auto;
                    }

                }

            } */

        }

        .reset {
            text-align: center;
            width: 100px;
            font-size: 16px;
            font-weight: 400;
            line-height: 1.3;
            text-decoration: underline;
            cursor: pointer;
            color: #fff;
            padding-top: 20px;

            @media (max-width: 1200px) {
                margin-top: 15px;
                width: 100%;
            }

            @media (max-width: 1000px) {
                margin-top: 0;
            }

            @media (max-width: 450px) {
                padding: 10px 0;
            }

        }

    }

}







/*=======================================
            Case Study Grid
========================================*/

.cs-grid {
    padding: 50px 0;

    .section-title {
        font-size: 40px;
        font-weight: 600;
        line-height: 1.2;
        margin-bottom: 30px;
        color: #fff;

        @media (max-width: 1000px) {
            font-size: 35px;
        }

        @media (max-width: 600px) {
            font-size: 30px;
            margin-bottom: 20px;
        }

    }

    .grid {
        justify-content: flex-start;
        align-items: unset;
        margin: 0 -10px;

        .card {
            width: calc(100% / 3 - 20px);
            margin: 0 10px 50px;
            display: flex;
            flex-direction: column;
            background-color: #fafafa;
            border-radius: 30px;
            overflow: hidden;
            position: relative;

            @media screen and (max-width: 1000px) {
                width: calc(50% - 20px);
                margin: 0 10px 20px;
            }

            @media screen and (max-width: 800px) {
                width: calc(100% - 20px);
            }

            &:hover {

                .info .icon svg path {
                    fill: var(--red);
                }

            }

            .image {
                border-radius: 30px;
                overflow: hidden;
                aspect-ratio: 9/5;
                display: flex;
                flex-direction: row;
                justify-content: center;
                align-items: center;
                background-color: #fff;

                img {
                    width: 60%;
                    height: auto;
                    max-width: 60%;
                    max-height: 80%;
                }

            }

            .info {
                padding: 25px;
                position: relative;
                display: flex;
                flex-direction: column;
                justify-content: space-between;
                flex-grow: 1;

                .inner {

                    .name {
                        font-size: 28px;
                        line-height: 1.2;
                        font-weight: 600;
                        margin-bottom: 5px;

                        @media (max-width: 1200px) {
                            font-size: 24px;
                        }

                        @media (max-width: 800px) {
                            font-size: 20px;
                        }

                        @media (max-width: 600px) {
                            font-size: 24px;
                        }

                    }

                    .tech {
                        color: #2E56EC;
                        font-size: 16px;
                        font-weight: 600;
                        line-height: 1;
                    }

                    .topics {
                        display: flex;
                        flex-direction: row;
                        justify-content: flex-start;
                        align-items: center;
                        flex-wrap: wrap;
                        margin-top: 30px;

                        span {
                            font-size: 14px;
                            color: var(--darkblue);
                            font-weight: 500;
                            line-height: 1;
                            background-color: #E6E4FE;
                            padding: 6px 10px;
                            border-radius: 12px;
                            margin: 0 10px 10px 0;
                        }

                    }

                }

                .icon {
                    justify-content: space-between;
                    align-items: center;
                    margin-top: 50px;

                    span {
                        font-size: 16px;
                        line-height: 1;
                    }

                    svg {
                        width: 30px;

                        path {
                            fill: var(--darkblue);
                            transition: all 0.3s ease-in-out;
                        }

                    }

                }

            }

        }

    }

    .no-results {
        font-size: 30px;
        font-weight: 600;
        line-height: 1.2;
        text-align: center;
        display: none;
        color: #fff;
    }

}






/*=======================================
            Case Study Intro
========================================*/

.cs-intro {
    background-color: var(--red);
    padding: 70px 90px;
    border-radius: 30px;
    position: relative;
    z-index: 5;

    @media (max-width: 1000px) {
        padding: 50px 50px;
    }

    @media (max-width: 600px) {
        padding: 30px;
    }

    .contents {
        color: #fff;

        .post-name {
            border-bottom: 1px solid #fff;
            padding-bottom: 35px;
            justify-content: flex-start;
            align-items: center;

            .logo {
                width: 150px;
                height: 150px;
                background-color: #fff;
                border-radius: 15px;
                display: flex;
                flex-direction: row;
                justify-content: center;
                align-items: center;

                img {
                    width: auto;
                    height: auto;
                    max-width: 80%;
                    max-height: 80%;
                }

            }

            .right {
                width: calc(100% - 150px);
                padding-left: 25px;

                @media (max-width: 600px) {
                    width: 100%;
                    padding: 20px 0 0 0;
                }

                h1 {
                    font-size: 48px;
                    font-weight: 600;
                    line-height: 1.1;
                    margin-bottom: 15px;

                    @media (max-width: 1200px) {
                        font-size: 40px;
                    }

                    @media (max-width: 800px) {
                        font-size: 35px;
                    }

                    @media (max-width: 600px) {
                        font-size: 30px;
                    }

                }

                p {
                    font-size: 24px;
                    line-height: 1.4;
                    font-weight: 600;
                    max-width: 700px;

                    @media (max-width: 800px) {
                        font-size: 20px;
                    }

                }

            }

        }

        .meta {

            .meta-item {
                border-bottom: 1px solid #fff;
                padding: 6px 0;
                display: flex;
                flex-direction: row;
                justify-content: flex-start;
                align-items: center;
                flex-wrap: wrap;

                @media (max-width: 600px) {
                    padding: 10px 0;
                }

                .label {
                    width: 220px;
                    font-size: 18px;
                    line-height: 1.5;
                    font-weight: 400;

                    @media (max-width: 600px) {
                        font-size: 16px;
                        width: 100%;
                        font-weight: 600;
                    }

                }

                .value {
                    font-size: 16px;
                    line-height: 1.5;
                    font-weight: 400;
                    width: calc(100% - 220px);

                    @media (max-width: 600px) {
                        width: 100%;
                    }

                }

                &.topics {
                    padding: 6px 0 0 0;

                    @media (max-width: 600px) {
                        padding: 10px 0;
                    }

                    .label {
                        position: relative;
                        bottom: 4px;

                        @media (max-width: 600px) {
                            bottom: 0;
                            padding-bottom: 5px;
                        }

                    }

                    .value {
                        justify-content: flex-start;
                        align-items: center;
                    }

                    span {
                        display: inline-block;
                        color: var(--red);
                        background-color: #fff;
                        font-size: 14px;
                        font-weight: 500;
                        line-height: 1;
                        padding: 5px 10px;
                        border-radius: 10px;
                        margin-right: 5px;
                        margin-bottom: 6px;
                    }

                }

            }

            .download {
                margin-top: 30px;
            }

        }

    }

}